# See the file LICENSE for redistribution information.
#
# Copyright (c) 1996, 1997
#	Sleepycat Software.  All rights reserved.
#
#	@(#)byteorder.tcl	8.2 (Sleepycat) 6/11/97
#
# Byte Order Test
# Use existing tests and run with both byte orders.
proc byteorder { method {nentries 1000} } {
	set method [convert_method $method]
	puts "Byteorder: $method $nentries"

	test001 $method $nentries -order 1234
	test001 $method $nentries -order 4321
	test003 $method -order 1234
	test003 $method -order 4321
	test010 $method $nentries 5 10 -order 1234
	test010 $method $nentries 5 10 -order 4321
	test011 $method $nentries 5 11 -order 1234
	test011 $method $nentries 5 11 -order 4321
	test018 $method $nentries -order 1234
	test018 $method $nentries -order 4321
}
